
Foreman - Bug #5489

Permission migration script can create invalid search conditions

04/29/2014 03:16 PM - Marek Hulán

Status: Closed   

Priority: Normal   

Assignee: Dominic Cleal   

Category: Users, Roles and Permissions   

Target version: 1.5.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: 1.5.0

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

after migration a user reported filters with search phrases like "(() or (compute_resource_id = 2))" which raises scoped search

exceptions, we should go over the whole migration script and make sure we can't detect empty conditions

Related issues:

Blocks Foreman - Tracker #4552: New permissions/authorization system issues New

Associated revisions

Revision fec952bd - 05/05/2014 09:05 AM - Dominic Cleal

fixes #5489 - don't generate empty search () filters on permissions migration

Revision f56b5931 - 05/07/2014 11:55 AM - Dominic Cleal

fixes #5489 - don't generate empty search () filters on permissions migration

(cherry picked from commit fec952bd2002f672a8907821169c0675d04cfbbc)

History

#1 - 04/29/2014 03:16 PM - Marek Hulán

- Blocks Tracker #4552: New permissions/authorization system issues added

#2 - 04/29/2014 03:25 PM - Marek Hulán

one clue (but worth of checking all condition generating)

the only users who had the incorrect search string syntax were ones that had ownership of more than one hostgr

oup

#3 - 04/29/2014 03:30 PM - Dominic Cleal

- Target version set to 1.8.3

- translation missing: en.field_release set to 4

#4 - 05/01/2014 01:02 PM - Dominic Cleal

- Status changed from New to Assigned

- Assignee set to Dominic Cleal

#5 - 05/01/2014 03:03 PM - Dominic Cleal

To reproduce:

0. Use pre-#812 Foreman

1. Create a user with the "View hosts" role (#5540)

2. Edit the user, add two types of filter: a domain filter + a host group filter.  Do not tick owned hosts.

3. Migrate to post-#812

4. Check the custom role + filter added, you'll see: (() or (domain_id = 1)) or (hostgroup_id = 1)
https://projects.theforeman.org/issues/812
https://projects.theforeman.org/issues/5540
https://projects.theforeman.org/issues/812


#6 - 05/01/2014 03:08 PM - Dominic Cleal

- Status changed from Assigned to Ready For Testing

https://github.com/theforeman/foreman/pull/1419

#7 - 05/05/2014 09:31 AM - Dominic Cleal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset fec952bd2002f672a8907821169c0675d04cfbbc.
